import { axios } from '@/utils/request'

//  人员 列表  分页
export const queryUserList = (params) => {
  const url = `/bizuser/queryUserList/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 业务负责人配置列表  分页
export const queryPage = (params) => {
  const url = `/bizuser/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 业务负责人配置列表   新增/编辑
export const bizuserSave = params => {
  return axios({
    url: '/bizuser/save',
    data: params,
    method: 'post'
  })
}

// 业务负责人配置列表 删除
export const bizuserDelete = params => {
  return axios({
    url: `/bizuser/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}

/*
****  设置管辖范围
*/

// 设置管辖品类  新增（生成sn)
export const getNewScopeSn = params => {
  return axios({
    url: '/bizuser/scope/getNewScopeSn',
    data: {},
    method: 'get'
  })
}

// 设置管辖品类
export const saveProductBrandList = params => {
  return axios({
    url: '/bizuser/scope/saveProductBrandList',
    data: params,
    method: 'post'
  })
}

// 设置管辖品类
export const saveProductTypeList = params => {
  return axios({
    url: '/bizuser/scope/saveProductTypeList',
    data: params,
    method: 'post'
  })
}
// 设置管辖品类
export const bizuserScopeQueryPage = params => {
  const url = `/bizuser/scope/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 设置管辖品类  删除整列
export const bizuserScopeDelete = params => {
  return axios({
    url: `/bizuser/scope/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 设置管辖品类  删除产品品牌
export const deleteProductBrand = params => {
  return axios({
    url: `/bizuser/scope/detail/deleteProductBrand/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 设置管辖品类  删除产品分类
export const deleteProductType = params => {
  return axios({
    url: `/bizuser/scope/detail/deleteProductType/${params.id}`,
    data: {},
    method: 'get'
  })
}
//  业务负责人配置列表 导出
// export const allocateBillExport = (params) => {
//   return axios({
//     url: '/allocateBill/exportExcel',
//     data: params,
//     method: 'post',
//     responseType: 'blob'
//   })
// }
